> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codashop-yu-distrubution/cong-google-play-pi-liang-dao-ru-ku-cun-sku/1.-google-play-ji-cheng/google-play-ji-cheng-chang-jian-wen-ti.md).

# Google Play 集成常见问题

### **1. 将 Google Play 与 Coda Portal 集成后，Coda 能获取哪些数据？**

成功集成后，Coda 将获得只读权限以检索应用内产品列表。\
具体而言，Coda 将获得权限访问以下 Google Play API 端点：<https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts>。此 API 使 Coda 能够获取应用内 SKU 列表，以及这些 SKU 在游戏可用的不同国家/地区的对应价格。

### **2. v3/inappproducts 端点的 API 响应是什么样的?**

详情请参阅 Google Play [开发者 API 文档](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts)。\
不过，v3/inappproducts API 的示例响应如下所示：

```javascript
[
{
"kind": "androidpublisher#inappproductsListResponse",
"inappproduct": [
{
"packageName": "com.yourapplication.main",
"sku": "20 diamonds",
"status": "active",
"purchaseType": "managedUser",
"defaultPrice": {
"priceMicros": "1500000000",
"currency": "KRW"
},
"prices": {
"AU": {
"priceMicros": "1890000",
"currency": "AUD"
},
"ID": {
"priceMicros": "16000000000",
"currency": "IDR"
},
"SG": {
"priceMicros": "1490000",
"currency": "SGD"
},
"TH": {
"priceMicros": "35000000",
"currency": "THB"
},
"TR": {
"priceMicros": "39990000",
"currency": "TRY"
},
"US": {
"priceMicros": "990000",
"currency": "USD"
}
},
"listings": {
"en-US": {
"title": "20 diamonds",
"description": "20 diamonds"
}
},
"defaultLanguage": "en-US",
"managedProductTaxesAndComplianceSettings": {
"eeaWithdrawalRightType": "WITHDRAWAL_RIGHT_DIGITAL_CONTENT"
}
},
..........
]
```

### **3. 从 Google Play 接收的数据是如何由 Coda 存储的？**

我们从 Google Play 获取的所有数据均按照发布者与 Coda 之间达成的标准条款和条件进行存储。该集成仅授权 Coda 访问公开可用的信息，特别是终端用户可见的应用内 SKU 价格。Coda 端不会读取、访问或存储任何其他财务信息。因此，我们预见不到发布者将其 Google Play 账户与 Coda 集成会带来任何风险。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/codashop-yu-distrubution/cong-google-play-pi-liang-dao-ru-ku-cun-sku/1.-google-play-ji-cheng/google-play-ji-cheng-chang-jian-wen-ti.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
